{
  config.flake.factory.docker = users: { lib, ... }: {
    virtualisation.docker = {
      enable = true;
      autoPrune.enable = true;
    };
    users.users =
      lib.genAttrs
        users
        (_: {
          extraGroups = [ "docker" ];
        });
  };
}
